DSTWO update for Firmware 1.4.1/ 1.4.2 released

Discussion in 'Supercard' started by tk_saturn, Sep 9, 2010.

Sep 9, 2010
  1. tk_saturn
    OP

    Member tk_saturn GBAtemp Psycho!

    Joined:
    Jan 26, 2010
    Messages:
    3,327
    Country:
    United Kingdom
    Posted on their English forums by an Administrator:

    [​IMG]Source
    Google Translation

    edit:

    To clear the 1.4.1/ 1.4.2 issue up, there are 4 releases of firmware 1.4.1. You have 1.4.1A (Australia), 1.4.1E (Europe), 1.4.1J (Japan), and 1.4.1U (US). 1.4.2C is only for China, doesn't not block any additional flashcarts other than those which 1.4.1X blocks, and has not been seen outside of China.
     


  2. shango46

    Member shango46 GBAtemp Regular

    Joined:
    Jul 18, 2010
    Messages:
    192
    Location:
    Edmonton, Alberta Canada
    Country:
    Canada
    If I had a DSTWO I would test this out, but I have an Acekard 2i, so no luck. I am staying with 1.4 unless I am forced to upgrade (unlikely).
     
  3. stab244

    Member stab244 GBAtemp Advanced Fan

    Joined:
    Jun 1, 2008
    Messages:
    654
    Country:
    United States
    Based on what I can tell, this only works on the Chinese version of the SCDS2.
     
  4. tk_saturn
    OP

    Member tk_saturn GBAtemp Psycho!

    Joined:
    Jan 26, 2010
    Messages:
    3,327
    Country:
    United Kingdom
    I was wondering if that were the case, what matters is they have a workaround. I imagine they doing an international version of it right now.
     
  5. Giga_Gaia

    Member Giga_Gaia Shinigami

    Joined:
    Sep 12, 2006
    Messages:
    1,281
    Location:
    Quebec, Canada
    Country:
    Canada
    You're enver forced to upgrade. If you have a flashcart, you don't even need to update ever. I am still on 1.3 and there is no problem with it. New versions offer nothing new, except nintendo shop for games, but all the games there just suck.

    Beside, I can't connect to internet, the DS/DSi uses WEP encryption only. Why would I make my router unsecured by using a WEP key when I am using a WAP key? I wouldn't change the encryption just for something so useless.
     
  6. stab244

    Member stab244 GBAtemp Advanced Fan

    Joined:
    Jun 1, 2008
    Messages:
    654
    Country:
    United States
    I was just reading the Engrish translations and that's what I gathered. Not gonna test though since 1) Don't want to risk damaging my new toy (just got it yesterday whoo) and 2) don't want to update and find out it won't be updated (not that I would doubt that SC team would update it to work).
     
  7. tk_saturn
    OP

    Member tk_saturn GBAtemp Psycho!

    Joined:
    Jan 26, 2010
    Messages:
    3,327
    Country:
    United Kingdom
    They have now posted the same file on their english forums http://forum.supercard.sc/thread-7008-1-1.html same file as at in the Chinese post except is has an english readme.

    Download here

     
  8. AcekardFan

    Member AcekardFan GBAtemp Regular

    Joined:
    Jul 27, 2010
    Messages:
    232
    Location:
    Stockton
    Country:
    United States
    Hey I Tried This And it Works [​IMG])
     
  9. YayMii

    Member YayMii hi

    Joined:
    Jun 24, 2009
    Messages:
    4,882
    Location:
    that place
    Country:
    Canada
    Okay, I'll test I guess.
     
  10. haddad

    Member haddad GBAtemp Advanced Maniac

    Joined:
    Aug 12, 2010
    Messages:
    1,519
    Country:
    Canada
    So does this mean we should update to 1.4.1?
     
  11. stab244

    Member stab244 GBAtemp Advanced Fan

    Joined:
    Jun 1, 2008
    Messages:
    654
    Country:
    United States
    Well then I guess I was wrong. And that was just fast. It's like those people don't sleep at all (granted it's daylight there now).
     
  12. haddad

    Member haddad GBAtemp Advanced Maniac

    Joined:
    Aug 12, 2010
    Messages:
    1,519
    Country:
    Canada
    So does this mean we should update our firmware?
     
  13. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    Actually the DSi can use WPA for it's functions, such as the shop and web browser...
    Just not any DS game functions.


    And go supercard team. X3
     
  14. YayMii

    Member YayMii hi

    Joined:
    Jun 24, 2009
    Messages:
    4,882
    Location:
    that place
    Country:
    Canada
    The DSi uses WPA (well not for multiplayer, but it still uses it). You can use WPA to update your DSi if you wanted.
     
  15. tk_saturn
    OP

    Member tk_saturn GBAtemp Psycho!

    Joined:
    Jan 26, 2010
    Messages:
    3,327
    Country:
    United Kingdom
    No, it just means you are free to do so if you wish. The choice... is yours.
     
  16. haddad

    Member haddad GBAtemp Advanced Maniac

    Joined:
    Aug 12, 2010
    Messages:
    1,519
    Country:
    Canada
  17. tk_saturn
    OP

    Member tk_saturn GBAtemp Psycho!

    Joined:
    Jan 26, 2010
    Messages:
    3,327
    Country:
    United Kingdom
    Try extracting the firmware update linked in this thread into the root directory of your MicroSD card. Then boot the DSTWO.
     
  18. haddad

    Member haddad GBAtemp Advanced Maniac

    Joined:
    Aug 12, 2010
    Messages:
    1,519
    Country:
    Canada
    i got it fixed cuz YayMii is a genius >_<

    And has ANYONE already updated to 1.4.1 and tested if this works? And do we copy the system file into the microsd card then update? Or update then copy the system file into the microsd card?
     
  19. AcekardFan

    Member AcekardFan GBAtemp Regular

    Joined:
    Jul 27, 2010
    Messages:
    232
    Location:
    Stockton
    Country:
    United States
    Whichever You Want And I tested It And It Worked A Ok
     
  20. YayMii

    Member YayMii hi

    Joined:
    Jun 24, 2009
    Messages:
    4,882
    Location:
    that place
    Country:
    Canada
    I'm trying to test it, but my internet's being a tard and not letting me update. The DStwo boots in 1.4U with this update though.
     

Share This Page